# $Revision: 1.31 $, $Date: 2010/06/04 16:35:25 $
Summary:	Package maintenance system for Debian Linux
Summary(pl.UTF-8):	Program do obsługi pakietów Debiana
Name:		dpkg
Version:	1.14.29
Release:	1
License:	GPL
Group:		Applications/File
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.gz
# Source0-md5:	4326172a959b5b6484b4bc126e9f628d
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	perl-tools-pod
BuildRequires:	zlib-devel
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the programs which handle the installation and
removal of packages on your system.

The primary interface for the dpkg suite is the `dselect' program; a
more low-level and less user-friendly interface is available in the
form of the `dpkg' command.

In order to unpack and build Debian source packages you will need to
install the developers' package `dpkg-dev' as well as this one.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia do obsługi pakietów deb znanych z
Debiana.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--without-dselect \
	--without-start-stop-daemon \
	--with-zlib \
	--with-bz2 \
	--with-selinux \
	--with-admindir=/var/lib/%{name} \
	SELINUX_LIBS=-lselinux

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/{,*/}man5/dselect.cfg.5
rm -f $RPM_BUILD_ROOT%{_mandir}/{,*/}man1/dselect.1
rm -f $RPM_BUILD_ROOT%{_mandir}/{,*/}man8/start-stop-daemon.8
rm -f $RPM_BUILD_ROOT%{_mandir}/{,*/}man8/cleanup-info.8
rm -f $RPM_BUILD_ROOT%{_mandir}/{,*/}man8/install-info.8
rm -f $RPM_BUILD_ROOT%{_sbindir}/cleanup-info
rm -f $RPM_BUILD_ROOT%{_sbindir}/install-info
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/alternatives/README

%find_lang dpkg

%clean
rm -rf $RPM_BUILD_ROOT

%files -f dpkg.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/822-date
%attr(755,root,root) %{_bindir}/dpkg*

%attr(755,root,root) %{_sbindir}/dpkg-divert
%attr(755,root,root) %{_sbindir}/update-alternatives

%dir %{_sysconfdir}/dpkg
%dir %{_sysconfdir}/dpkg/origins
%{_sysconfdir}/dpkg/origins/debian

%dir %{_libdir}/dpkg
%dir %{_libdir}/dpkg/parsechangelog
%attr(755,root,root) %{_libdir}/dpkg/mksplit
%dir %{_libdir}/dpkg/parsechangelog
%attr(755,root,root) %{_libdir}/dpkg/parsechangelog/debian

%attr(755,root,root) %{_sbindir}/dpkg-statoverride

%dir %{_datadir}/dpkg
%{_datadir}/dpkg/cputable
%{_datadir}/dpkg/ostable
%{_datadir}/dpkg/triplettable
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Dpkg

%dir /var/lib/dpkg
/var/lib/dpkg/*

%{_mandir}/man1/822*
%{_mandir}/man5/deb*
%{_mandir}/man8/update*
%{_mandir}/man*/dpkg*
%lang(de) %{_mandir}/de/man1/822*
%lang(de) %{_mandir}/de/man5/deb*
%lang(de) %{_mandir}/de/man8/update*
%lang(de) %{_mandir}/de/man*/dpkg*
%lang(fr) %{_mandir}/fr/man1/822*
%lang(fr) %{_mandir}/fr/man5/deb*
%lang(fr) %{_mandir}/fr/man8/update*
%lang(fr) %{_mandir}/fr/man*/dpkg*
%lang(hu) %{_mandir}/hu/man*/dpkg*
%lang(ja) %{_mandir}/ja/man5/deb*
%lang(ja) %{_mandir}/ja/man8/update*
%lang(pl) %{_mandir}/pl/man1/822*
%lang(pl) %{_mandir}/pl/man5/deb*
%lang(pl) %{_mandir}/pl/man8/update*
%lang(pl) %{_mandir}/pl/man*/dpkg*
%lang(sv) %{_mandir}/sv/man1/822*
%lang(sv) %{_mandir}/sv/man5/deb*
%lang(sv) %{_mandir}/sv/man*/dpkg*
%lang(sv) %{_mandir}/sv/man8/update*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dpkg.spec,v $
Revision 1.31  2010/06/04 16:35:25  arvenil
- up to 1.14.29

Revision 1.30  2007/12/11 23:24:05  glen
- usable; rel 2

Revision 1.29  2007-12-11 21:06:10  glen
- rel 1

Revision 1.28  2007-07-30 17:21:35  qboosh
- perl-base not perl

Revision 1.27  2007/07/29 05:01:16  aredridel
- package dpkg-architecture script
- R: perl

Revision 1.26  2007/06/24 23:48:40  baggins
- started update to 1.14.4
- removed obsolete source1 and patches

Revision 1.25  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.23  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.22  2005/05/31 16:10:21  zbyniu
- BR: zlib-devel

Revision 1.21  2005/05/01 08:52:00  ankry
- refresh config.sub, rel. 2

Revision 1.20  2005/04/30 23:46:06  arekm
- start-stop-daemon is now in rc-scripts

Revision 1.19  2004/09/11 16:06:17  undefine
- update to 1.10.23, not tested

Revision 1.18  2003/09/05 21:37:08  ankry
- rel. 4

Revision 1.17  2003/08/30 20:58:35  gotar
- added gcc33 patch,
- BR: libtool, perl-tools-pod,
- fixed build process,
- let rpm make doc gzipping.

Revision 1.16  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:46:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/06/23 20:52:49  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.12  2002/05/21 23:12:57  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/25 16:13:33  arturs
- fixed a small typo

Revision 1.10  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.8  2002/01/18 02:12:45  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/04 23:04:53  ankry
- removed man section from existing .so man pointers
- added pl man pages
- release 3

Revision 1.6  2001/10/20 00:44:32  kloczek
- cosmetics.

Revision 1.5  2001/10/19 22:28:22  qboosh
- release 2: acfix patch for autoconf 2.52

Revision 1.4  2001/10/03 01:55:01  marcus
- configure2_13

Revision 1.3  2001/06/10 10:24:33  qboosh
- 1.6.15
- pl summary & description

Revision 1.2  2001/01/17 00:27:05  qboosh
- release 2:
- use RPM_OPT_FLAGS
- use rpm automation (stripping, gzipping man)
- BuildRequires

Revision 1.1  2000/08/01 15:05:50  baggins
- initial revision
